Company Location Connection
An auto-generated type for paginating through multiple CompanyLocations.
Anchor to Fields with this connectionFields with this connection
- •OBJECT
A business entity that purchases from the shop as part of B2B commerce. Companies organize multiple locations and contacts who can place orders on behalf of the organization.
objects can have custom pricing throughCatalogandconfigurations.- •OBJECT
A list of products with publishing and pricing information associated with company locations.
- •OBJECT
A condition checking the company location a visitor is purchasing for.
Anchor to Queries with this connectionQueries with this connection
- •query
A paginated list of
objects for B2B customers. Company locations represent individual branches or offices of aCompanywhere B2B orders can be placed.Each location can have its own billing and shipping addresses, tax settings,
, andCatalogassignments with custom pricing. Use the query parameter to search locations by name or other attributes.Learn more about managing company locations.
- Anchor to firstfirst•Int
The first
nelements from the paginated list.- Anchor to afterafter•String
The elements that come after the specified cursor.
- Anchor to lastlast•Int
The last
nelements from the paginated list.- Anchor to beforebefore•String
The elements that come before the specified cursor.
- Anchor to reversereverse•BooleanDefault:false
Reverse the order of the underlying list.
- Anchor to sortKeysort•Company
Key Location Sort Keys Default:ID Sort the underlying list by the given key.
- Anchor to queryquery•String
A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.
- Anchor to default•string
Filter by a case-insensitive search of multiple fields in a document.
query=Bob Normanquery=title:green hoodie- Anchor to company_id•id
- Anchor to created_at•time
- Anchor to external_id•string
- Anchor to ids•string
- Anchor to metafields.{namespace}.{key}•mixed
Filters resources by metafield value. Format:
metafields.{namespace}.{key}:{value}. Learn more about querying by metafield value.metafields.custom.on_sale:truemetafields.product.material:"gid://shopify/Metaobject/43458085"- Anchor to name•string
- Anchor to updated_at•time
Example:
Example:
Arguments
Anchor to Possible returnsPossible returns
- Anchor to edgesedges•[Company
Location Edge!]! non-null The connection between the node and its parent. Each edge contains a minimum of the edge's cursor and the node.
- Anchor to nodesnodes•[Company
Location!]! non-null A list of nodes that are contained in CompanyLocationEdge. You can fetch data about an individual node, or you can follow the edges to fetch data about a collection of related nodes. At each node, you specify the fields that you want to retrieve.
- Anchor to pageInfopage•Page
Info Info! non-null An object that’s used to retrieve cursor information about the current page.